<!-- 
  https://material.angular.io/components/sidenav/examples
  https://stackblitz.com/angular/gdyjeparalk?file=src%2Fapp%2Fsidenav-responsive-example.ts
-->



<div class="example-container">
  <mat-toolbar color="accent" *ngIf="currentUser">
    <span class="lapasla-toolbar"></span>
    <mat-icon>account_circle</mat-icon>
    <span> {{ currentUser.lastName}} {{ currentUser.firstName}} ( {{ currentUser.pseudo}} ) </span>
    <span class="espace-flexible"></span>
    <button mat-button href="" (click)="logout()">Déconnexion</button>

  </mat-toolbar>



  <mat-sidenav-container class="example-sidenav-container">
    <mat-sidenav-content>
      <div class="col-sm-6 offset-sm-3">
        <router-outlet></router-outlet>
      </div>
    </mat-sidenav-content>
  </mat-sidenav-container>


  <mat-toolbar>

    <!--
    <mat-toolbar-row class="footer-constement" *ngIf="isFooterConstementVisible">
        <div>En validant le formulaire vous avez compris et accepté les <button class="buttonConditions"
            (click)="onMentionLegales()">conditions</button> du site.</div>
        <span class="spacer"></span>
        <div class="cell-contenue"><button mat-button (click)="isFooterConstementVisible=false">J'ai compris</button>
        </div>


    </mat-toolbar-row>

    <mat-toolbar-row class="footer-mode-deconnecte" *ngIf="isFooterModeDeconnecteVisible">
      <span>Hors connexion</span>
    </mat-toolbar-row>
  -->

  <mat-toolbar-row class="footer-constement" *ngIf="isFooterConstementVisible">
      <div>En utilisant les fonctions de ce site vous comprenez et acceptez les <button class="buttonConditions"
          (click)="onMentionLegales()">conditions</button></div>
      <span class="spacer"></span>
      <div class="cell-contenue"><button mat-button (click)="sauverConstentement(true)">J'ai compris</button>
      </div>
    </mat-toolbar-row>
      <mat-toolbar-row class="footer-mode-deconnecte" *ngIf="isFooterModeDeconnecteVisible">
        <span>Hors connexion</span>
      </mat-toolbar-row>
  </mat-toolbar>


</div>